Begin Passkey Registration with MFA Token
Begins the MFA Passkey registration flow.
Begins the MFA Passkey registration flow.
Authorization
APIKey apikey<token>
Tenant API Key for authentication
In: query
Query Parameters
secondfactorauthenticationtoken*string
Second factor token
Response Body
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/auth/login/2fa/register/passkey/begin?secondfactorauthenticationtoken=4asdf575-5678-4065-b717-fa0n7i5ca81a"{
"RegisterBeginCredential": {
"publicKey": {
"rp": {
"id": "example.com",
"name": "Example Corporation",
"icon": "https://example.com/icon.png"
},
"user": {
"id": "MIIBkzCCATigAwIBAjCCAZMwggE4oAMCAQIwggGTMII=",
"name": "user@example.com",
"displayName": "John Doe",
"icon": "https://example.com/user-icon.png"
},
"challenge": "Vu8M80YRTOBz3wMFXFJJKCrDf6pfuOQTlPp1GH_8-Jc",
"pubKeyCredParams": [
{
"type": "public-key",
"alg": -7
}
],
"timeout": 60000,
"excludeCredentials": [
{
"id": "LFdoCFJTyB82ZzSJUHc-c72yraRc_1mPvGX8ToE8su39xX26Jcqd31LUP5iRLBop",
"type": "public-key",
"transports": [
"internal",
"usb"
]
}
],
"authenticatorSelection": {
"authenticatorAttachment": "platform",
"requireResidentKey": true,
"residentKey": "preferred",
"userVerification": "preferred"
},
"attestation": "direct",
"extensions": {
"credProps": true,
"exampleExtension": "some-value"
}
}
}
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The apikey is a required parameter."
}{
"ErrorCode": 901,
"Message": "The API key is unauthorized",
"Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}